### Method

# Pango Fontset foreach

since: 1.4

#### Declaration [src]

    void
    pango_fontset_foreach (
      PangoFontset* fontset,
      PangoFontsetForeachFunc func,
      gpointer data
    )

#### Description [src]

Iterates through all the fonts in a fontset, calling `func` for each one.

If `func` returns `TRUE`, that stops the iteration.

Available since: 1.4

#### Parameters

`func`

  Type: `PangoFontsetForeachFunc`

  Callback function.

`data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.